阿里云 Ubuntu 14.04 LTS 中将 PHP 从 5.5 升级到 7.x 完整笔记

最近桥边红药同学给我反映说 Laravel 学堂用户登录退出功能报错,我去看了下确实如此,查看源码发现是 PHP 版本的问题,Flarum 框架要求 PHP 版本>=5.6.0,而现在服务器上 PHP 的版本是 5.5.9,所以有必要进行升级,为了一步到位,直接升级到 PHP 7.0 版本。现将升级步骤记录如下,以供有类似需求同学参考。 注:服务器环境是阿里云 ECS U...

服务器部署篇(二):在服务器上对 PHP-FPM 和 Nginx 进行安装配置详解

PHP-FPM PHP-FPM(PHP FastCGI Process Manager),是用于管理 PHP 进程池的软件,用于接收和处理来自 Web 服务器(如Nginx)的请求。PHP-FPM会创建一个主进程(通常以操作系统中根用户的身份运行),控制何时以及如何把 HTTP 请求转发给一个或多个子进程处理。PHP-FPM 主进程还控制着什么时候创建和销毁 PHP 子进程。PHP...

Ubuntu上也可以用Valet了:Laravel Valet For Ubuntu

如果你使用的是Mac的话,你应该已经感受过Valet作为Laravel本地开发环境的便捷,比如我已经不用Homestead好多年。好消息是,在Ubuntu系统上现在我们也可以使用Valet了。 Valet for Ubuntu是专门为Ubuntu系统定制的精简版本,基于Valet v1并且使用的是Caddy服务器。安装也很简单,首先确保你运行的Ubuntu系统是15.04及...

Ubuntu 下快速部署安装 Apache + PHP + MySQL + phpMyAdmin 笔记

安装 Apache sudo apt-get install apache2 为了确定安装是否成功,我们来测试一下。打开浏览器,输入以下网址: http://localhost/ 如果成功,你会看到以下内容 "It works!" , 祝贺你,第一步,你算是跨出去了。 安装 PHP5 在终端输入以下命令: sudo apt-get install php5 ...

Ubuntu 12.04 LTS 中将 PHP 从 5.3 升级到 5.5 笔记

在 Ubuntu 12.04 LTS 中,使用 sudo apt-get install php5-fpm 安装的 PHP 版本是 5.3,如果想要使用 Laravel 或 Yii2 框架,要求 PHP 版本至少是 5.5+,所以要对 PHP 版本进行升级。 升级步骤 初始化操作: sudo apt-get update sudo apt-get install ...

基于 Laravel 开发博客应用系列 —— 设置 Linux/Mac 本地开发环境

上一节我们讲了如何在 Windows 中设置 Laravel 本地开发环境,这一节我们将会讨论如何在 Linux 及 Mac 上安装 Laravel Homestead。同样,在这之前需要我们已经安装好了 Vagrant 和 VirtualBox (如果还没有安装可参考第一节)。 1、不同 Linux 发行版本的区别 不同的 Linux 发行版本之间有一些细微区别,尤其是包管理器:C...